Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mail.smtp
Class SMTPSSLTransport

    java.lang.Object
      javax.mail.Service
          javax.mail.Transport
              com.sun.mail.smtp.SMTPTransport
                  com.sun.mail.smtp.SMTPSSLTransport

    public class SMTPSSLTransport

extends SMTPTransport

This class implements the Transport abstract class using SMTP over SSL for message submission and transport.

Field Summary

Fields inherited from class javax.mail.Service
`debug, session, url`

Constructor Summary
`SMTPSSLTransport(Session session, URLName urlname)` Constructor

Method Summary

Methods inherited from class com.sun.mail.smtp.SMTPTransport
`checkConnected, close, connect, data, ehlo, finalize, finishData, getExtensionParameter, getLastReturnCode, getLastServerResponse, getLocalHost, getReportSuccess, getSASLRealm, getStartTLS, getUseRset, helo, isConnected, issueCommand, mailFrom, protocolConnect, rcptTo, readServerResponse, sendCommand, sendMessage, setLocalHost, setReportSuccess, setSASLRealm, setStartTLS, setUseRset, simpleCommand, simpleCommand, startTLS, supportsAuthentication, supportsExtension, xtext`

Methods inherited from class javax.mail.Transport
`addTransportListener, notifyTransportListeners, removeTransportListener, send, send`

Methods inherited from class javax.mail.Service
`addConnectionListener, connect, connect, connect, connect, getURLName, notifyConnectionListeners, queueEvent, removeConnectionListener, setConnected, setURLName, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SMTPSSLTransport

    public SMTPSSLTransport(Session session,
                            URLName urlname)

  Constructor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD